#include <pslib.h>
#include <ippdb.h>
#include <stdlib.h>

int main ()
{
    {
        psDB            *dbh;
        expTagCounterRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = expTagCounterRowAlloc(64);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!expTagCounterInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        summitExpRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = summitExpRowAlloc("a string", "a string", "a string", "0001-01-01T00:00:00Z", "a string", "a string", -32);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!summitExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        summitImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = summitImfileRowAlloc("a string", "a string", "a string", "a string", -32, "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!summitImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        pzPendingExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = pzPendingExpRowAlloc("a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!pzPendingExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        pzPendingImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = pzPendingImfileRowAlloc("a string", "a string", "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!pzPendingImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        pzDoneExpRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = pzDoneExpRowAlloc("a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!pzDoneExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        pzDoneImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = pzDoneImfileRowAlloc("a string", "a string", "a string", "a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!pzDoneImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        newExpRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = newExpRowAlloc("a string", "a string", "a string", "a string", -32, "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!newExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        newImfileRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = newImfileRowAlloc("a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!newImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        rawExpRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = rawExpRowAlloc("a string", "a string", "a string", "a string", "0001-01-01T00:00:00Z", "a string", -32, "a string", "a string", 32.32, 64.64, 64.64, 32.32, 64.64, 64.64, 64.64, 64.64, 64.64, 32.32, 64.64, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!rawExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        rawImfileRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = rawImfileRowAlloc("a string", "a string", "a string", "a string", "a string", "a string", 32.32, 64.64, 64.64, 32.32, 64.64, 64.64, 64.64, 64.64, 64.64, 32.32, 64.64, "a string", "0001-01-01T00:00:00Z", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!rawImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p1PendingExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p1PendingExpRowAlloc("a string", "a string", -32);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p1PendingExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p2PendingExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p2PendingExpRowAlloc("a string", "a string", -32, -32, "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p2PendingExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p2PendingImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p2PendingImfileRowAlloc("a string", "a string", "a string", "a string", -32, -32);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p2PendingImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p2ProcessedExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p2ProcessedExpRowAlloc("a string", -32, -32, "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p2ProcessedExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p2MaskRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p2MaskRowAlloc("a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p2MaskInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p2ProcessedImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p2ProcessedImfileRowAlloc("a string", "a string", "a string", "a string", 64.64, 64.64, 64.64, "a string", "a string", -32, -32, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p2ProcessedImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p3PendingExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p3PendingExpRowAlloc("a string", -32, -32, "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p3PendingExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p3ProcessedExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p3ProcessedExpRowAlloc("a string", "a string", "a string", 64.64, 64.64, 64.64, 32.32, 32.32, -32, "a string", "a string", 32.32, 32.32, -32, -32, "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p3ProcessedExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p3MaskRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p3MaskRowAlloc("a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p3MaskInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detRunRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detRunRowAlloc(-32, -32, "a string", "a string", "a string", "a string", "a string", "a string", "a string", "a string", 32.32, 32.32, 32.32, 32.32, 32.32, 32.32, 64.64, 64.64, "0001-01-01T00:00:00Z", "0001-01-01T00:00:00Z", "0001-01-01T00:00:00Z", "0001-01-01T00:00:00Z", "0001-01-01T00:00:00Z");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detRunInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detInputExpRow  *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detInputExpRowAlloc(-32, -32, "a string", true);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detInputExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detProcessedImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detProcessedImfileRowAlloc(-32, "a string", "a string", "a string", "a string", 64.64, 64.64, 64.64, "a string", "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detProcessedImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detProcessedExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detProcessedExpRowAlloc(-32, "a string", "a string", 64.64, 64.64, 64.64, "a string", "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detProcessedExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detStackedImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detStackedImfileRowAlloc(-32, -32, "a string", "a string", "a string", 64.64, 64.64, 64.64, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detStackedImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detNormalizedStatImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detNormalizedStatImfileRowAlloc(-32, -32, "a string", 32.32, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detNormalizedStatImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detNormalizedImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detNormalizedImfileRowAlloc(-32, -32, "a string", "a string", 64.64, 64.64, 64.64, "a string", "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detNormalizedImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detNormalizedExpRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detNormalizedExpRowAlloc(-32, -32, "a string", 64.64, 64.64, 64.64, "a string", "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detNormalizedExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detResidImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detResidImfileRowAlloc(-32, -32, "a string", "a string", "a string", "a string", 64.64, 64.64, 64.64, "a string", "a string", -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detResidImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detResidExpRow  *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detResidExpRowAlloc(-32, -32, "a string", "a string", 64.64, 64.64, 64.64, "a string", "a string", true, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detResidExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        detRunSummaryRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = detRunSummaryRowAlloc(-32, -32, 64.64, 64.64, 64.64, true, -16);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!detRunSummaryInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p4aRunRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p4aRunRowAlloc(-32, "a string", "a string", true);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p4aRunInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p4aInputExpRow  *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p4aInputExpRowAlloc(-32, "a string", -32);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p4aInputExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p4aScfileRow    *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p4aScfileRowAlloc(-32, "a string", "a string", "a string", -32, "a string", 64.64, 64.64);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p4aScfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p4bRunRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p4bRunRowAlloc(-32, "a string", "a string", true);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p4bRunInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p4bInputScfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p4bInputScfileRowAlloc(-32, "a string", "a string", "a string", -32, "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p4bInputScfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p4bDiffScfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p4bDiffScfileRowAlloc(-32, "a string", "a string", "a string", -32, "a string", 64.64, 64.64);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p4bDiffScfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p4cRunRow       *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p4cRunRowAlloc(-32, "a string", "a string", true);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p4cRunInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p4cInputExpRow  *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p4cInputExpRowAlloc(-32, "a string", -32);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p4cInputExpInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        p4MagicMaskImfileRow *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = p4MagicMaskImfileRowAlloc(-32, "a string", -32, "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!p4MagicMaskImfileInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        skyCellRow      *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = skyCellRowAlloc("a string", "a string", 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64, 64.64);
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!skyCellInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    {
        psDB            *dbh;
        skyCellMapRow   *object;

        dbh = psDBInit("localhost", "test", NULL, "test");
        if (!dbh) {
            exit(EXIT_FAILURE);
        }

        object = skyCellMapRowAlloc("a string", "a string", "a string", "a string");
        if (!object) {
            exit(EXIT_FAILURE);
        }

        if (!skyCellMapInsertObject(dbh, object)) {
            exit(EXIT_FAILURE);
        }

        psFree(object);
        psDBCleanup(dbh);
    }

    exit(EXIT_SUCCESS);
}
